apiVersion: tekton.dev/v1
kind: TaskRun
metadata:
  annotations:
    chains.tekton.dev/signed: "true"
    pipeline.openshift.io/started-by: ludwigb
    pipeline.tekton.dev/release: faf26be
    tekton.dev/v1beta1Resources: '{"inputs":[{"name":"git-source","resourceSpec":{"type":"git","params":[{"name":"url","value":"ssh://git@bitbucket.vih.infineon.com:7999/capri/capri.git"},{"name":"revision","value":"develop"}]}}]}'
    tekton.dev/v1beta1ResourcesStatus: '{"inputs":[{"name":"git-source","type":"git"}]}'
  creationTimestamp: "2024-04-25T09:52:31Z"
  finalizers:
  - chains.tekton.dev
  generation: 1
  labels:
    app.kubernetes.io/managed-by: tekton-pipelines
    tekton.dev/memberOf: tasks
    tekton.dev/pipeline: capri-build-image
    tekton.dev/pipelineRun: capri-build-image-04dz6h
    tekton.dev/pipelineTask: e2e
    tekton.dev/task: capri-e2e
  name: capri-build-image-04dz6h-e2e
  namespace: capri-build
  ownerReferences:
  - apiVersion: tekton.dev/v1beta1
    blockOwnerDeletion: true
    controller: true
    kind: PipelineRun
    name: capri-build-image-04dz6h
    uid: 171ab42c-a624-47cb-b510-c10baaa538a4
  resourceVersion: "8348600343"
  uid: 351c86cb-6577-42d4-8164-87dba7a022c5
spec:
  serviceAccountName: pipeline
  taskRef:
    kind: Task
    name: capri-e2e
  timeout: 1h0m0s
status:
  completionTime: "2024-04-25T09:58:38Z"
  conditions:
  - lastTransitionTime: "2024-04-25T09:58:38Z"
    message: |
      "step-reset" exited with code 1 (image: "dockerregistry-v2.vih.infineon.com/node@sha256:05824f71b10334d5625cf228aa618ed69ecd5765afc308693b9f2033de1265be"); for logs run: kubectl -n capri-build logs capri-build-image-04dz6h-e2e-pod -c step-reset
    reason: Failed
    status: "False"
    type: Succeeded
  podName: capri-build-image-04dz6h-e2e-pod
  startTime: "2024-04-25T09:52:31Z"
  steps:
  - container: step-git-source-git-source-sw8m5
    imageID: registry.redhat.io/openshift-pipelines/pipelines-git-init-rhel8@sha256:183a64f402b156d34624b2308a97fc129714740c64d2e9f3405f74a715f430ac
    name: git-source-git-source-sw8m5
    terminated:
      containerID: cri-o://7b5f97c1f40602d79c52ed2ddc1a8fef09209c3c6838b49729081029796027ec
      exitCode: 0
      finishedAt: "2024-04-25T09:53:04Z"
      message: '[{"key":"commit","value":"d16e377af22b373630cbcacf7375601ce877c214","resourceName":"git-source"},{"key":"url","value":"ssh://git@bitbucket.vih.infineon.com:7999/capri/capri.git","resourceName":"git-source"}]'
      reason: Completed
      startedAt: "2024-04-25T09:52:38Z"
  - container: step-install
    imageID: dockerregistry-v2.vih.infineon.com/node@sha256:05824f71b10334d5625cf228aa618ed69ecd5765afc308693b9f2033de1265be
    name: install
    terminated:
      containerID: cri-o://67cd01506787d85b61b1b6760b7e59662c6f4f4377f60065ed602290ef3ef4d2
      exitCode: 0
      finishedAt: "2024-04-25T09:58:06Z"
      reason: Completed
      startedAt: "2024-04-25T09:53:05Z"
  - container: step-reset
    imageID: dockerregistry-v2.vih.infineon.com/node@sha256:05824f71b10334d5625cf228aa618ed69ecd5765afc308693b9f2033de1265be
    name: reset
    terminated:
      containerID: cri-o://74cd107ab6182f81b4b3ae91cc39bba2568f9006cfefd2c540d2c485c342ba2e
      exitCode: 1
      finishedAt: "2024-04-25T09:58:37Z"
      reason: Error
      startedAt: "2024-04-25T09:58:06Z"
  - container: step-e2e
    imageID: mcr.microsoft.com/playwright@sha256:000a55f5ab9f11712200366a0f9fd242b423afe81eab4c2fbd28498f02358fbb
    name: e2e
    terminated:
      containerID: cri-o://ca8c25da66ea17164e1473b566976b46b190cd52aaa9f5282eb49c7d97bd2721
      exitCode: 1
      finishedAt: "2024-04-25T09:58:38Z"
      reason: Error
      startedAt: "2024-04-25T09:58:38Z"
  taskSpec:
    steps:
    - args:
      - -c
      - |
        npm config set registry "https://artifactory.intra.infineon.com/artifactory/api/npm/npm-npm-registry/"
        sed -i -e "s#https://registry.yarnpkg.com/#https://artifactory.intra.infineon.com/artifactory/api/npm/npm-npm-registry/#g" yarn.lock
        yarn install
      command:
      - /bin/bash
      computeResources: {}
      image: dockerregistry-v2.vih.infineon.com/node:18.16.0-buster
      name: install
      workingDir: /workspace/git-source
    - args:
      - db:reset
      command:
      - yarn
      computeResources:
        limits:
          memory: 8Gi
        requests:
          memory: 8Gi
      env:
      - name: NODE_OPTIONS
        value: --max_old_space_size=8196
      - name: CI
        value: "true"
      - name: DB_USERNAME
        valueFrom:
          secretKeyRef:
            key: username
            name: ifx-test-database-credentials
      - name: DB_PASSWORD
        valueFrom:
          secretKeyRef:
            key: password
            name: ifx-test-database-credentials
      envFrom:
      - configMapRef:
          name: build-config
      image: dockerregistry-v2.vih.infineon.com/node:18.16.0-buster
      name: reset
      workingDir: /workspace/git-source
    - args:
      - e2e
      command:
      - yarn
      computeResources:
        limits:
          memory: 8Gi
        requests:
          memory: 8Gi
      env:
      - name: NODE_OPTIONS
        value: --max_old_space_size=8196
      - name: CI
        value: "true"
      - name: DB_USERNAME
        valueFrom:
          secretKeyRef:
            key: username
            name: ifx-test-database-credentials
      - name: DB_PASSWORD
        valueFrom:
          secretKeyRef:
            key: password
            name: ifx-test-database-credentials
      envFrom:
      - configMapRef:
          name: build-config
      image: mcr.microsoft.com/playwright:v1.42.0-focal
      name: e2e
      workingDir: /workspace/git-source
